#include <bits/stdc++.h>
using namespace std;
int main()
{
	char ch;
	int s,p;
	s=0;
	p=0;
	while(true)
	{
		ch=getchar();
		if(ch<'0' or ch>'9') break;
		p=ch-'0';
		if(p>7) 
		{
			s=s+3;
		}
		else if(p==1 or p==2 or p==5)
		{
			s=s+1;
		}
		else
		{
			s=s+2;
		}
	}
	printf("%d",s);
}